local function playerJustReversal(p)
	
	if not p.pso.deadtimer
		if p.pso.stagger 
		or p.pso.knockdown 
		or p.pso.blowdown
			if PSO.lib.hasSkill(p, "all_justreversal")
			and PSO.lib.playerInputDown(p, IPT_INTERACT) == 1
				p.pso.stagger = 0
				p.pso.knockdown = 0
				p.pso.blowdown = 0
				p.mo.rollangle = 0
				S_StartSound(p.mo, sfx_thok)
		
				local an = p.mo.angle
				-- angle depends on player input
				if FixedHypot(p.cmd.forwardmove*FRACUNIT, p.cmd.sidemove*FRACUNIT)
					an = $+R_PointToAngle2(0, 0, p.cmd.forwardmove*FRACUNIT, -p.cmd.sidemove*FRACUNIT)
				else
					an = p.drawangle
				end
					
				
				/*if not FixedHypot(p.mo.momx, p.mo.momy)
					an = p.mo.angle
				else
					an = R_PointToAngle2(0, 0, p.mo.momx, p.mo.momy)
				end*/
				
				P_InstaThrust(p.mo, an, p.mo.scale*10)
				p.mo.momz = p.mo.scale*4
				
				p.mo.state = S_PLAY_ROLL
			end
		end
	end
end

PSO.lib.registerPlayerFunc(playerJustReversal)