local function playerRestfulRestore(p)
	local mo = p.mo
	if not mo or not mo.valid return end
	
	if p.pso.restfultimer == nil
		p.pso.restfultimer = 4*TICRATE
		p.pso.lastpp = p.pso.pp
	elseif PSO.lib.hasSkill(p, "all_restfulrestore")
		if p.pso.lastpp > p.pso.pp
			p.pso.restfultimer = 4*TICRATE
		elseif p.pso.restfultimer > 0
			p.pso.restfultimer = $ - 1
		else 
			p.pso.ppregentimer = $ + 1
		end
		p.pso.lastpp = p.pso.pp
	end
end

local function playerShiftaEnchant(p)
	if PSO.lib.hasSkill(p, "fo_shiftaenchant")
	and p.pso.shifta
		if p.pso.taction
			local actionData = PSO.info.photonArts[p.pso.taction]
			p.pso.enchant = actionData.element
		end
	else
		p.pso.enchant = nil
	end
end

local function playerExtendedClassesThinker(p)
	if not p.pso.deadtimer
		playerRestfulRestore(p)
		playerShiftaEnchant(p)
	end
end

PSO.lib.registerPlayerFunc(playerExtendedClassesThinker)