-- Generic
PSO.info.typeSkills["all_justreversal"] = {
	name = "Just Reversal",
	desc = "Press Jump during knockback to quickly recover.",
	cost = 1,
	level = 10,
}

PSO.info.typeSkills["all_restfulrestore"] = {
	name = "Restful PP Restore",
	desc = "PP regenerates quickly if none has been spent within the last 4 seconds.",
	cost = 1,
	level = 15,
}

-- Hunter
PSO.info.typeSkills["hu_deadline"] = {
	name = "Deadline Slayer",
	desc = "Deal 20% more damage while at low health.",
	cost = 2,
	level = 15,
}

PSO.info.typeSkills["hu_adrenaline"] = {
	name = "Adrenaline",
	desc = "Defeating an enemy grants 6 seconds of Shifta and Deband, stacking with other sources.",
	cost = 2,
	level = 25,
}

PSO.info.typeSkills["hu_overload"] = {
	name = "Fury Stance",
	desc = "Increases damage dealt by 10%, but also increases damage taken by 10%.",
	cost = 1,
	level = 20,
	equip = function(p)
				PSO.lib.removeSkill(p, "hu_guardstance")
			end,
}

PSO.info.typeSkills["hu_guardstance"] = {
	name = "Guard Stance",
	desc = "Reduces damage taken by 10%, but also reduces damage dealt by 10%.",
	cost = 1,
	level = 20,
	equip = function(p)
				PSO.lib.removeSkill(p, "hu_overload")
			end,
}

PSO.info.typeSkills["hu_absorb"] = {
	name = "Absorption",
	desc = "Heal 20 HP whenever an enemy is defeated in your proximity.",
	cost = 2,
	level = 25,
}

-- Ranger
PSO.info.typeSkills["ra_statusproof"] = {
	name = "Status Reduction",
	desc = "Halves the duration of status conditions.",
	cost = 1,
	level = 15,
}

PSO.info.typeSkills["ra_killbonus"] = {
	name = "Killing Bonus",
	desc = "You gain 15 PP each time an enemy is defeatd in your proximity.",
	cost = 2,
	level = 25,
}

PSO.info.typeSkills["ra_firsthit"] = {
	name = "First Hit",
	desc = "Deal 20% more damage against undamaged foes.",
	cost = 1,
	level = 20,
}

PSO.info.typeSkills["ra_sharpshooter"] = {
	name = "Sharp Shooter", 
	desc = "Deal up to 10% more damage based on your distance from your target.",
	cost = 1,
	level = 20,
}

PSO.info.typeSkills["ra_zerorange"] = {
	name = "Zero Range",
	desc = "Deal up to 10% more damage the closer your target is to you.",
	cost = 1,
	level = 20,
}

-- Force
PSO.info.typeSkills["fo_debandrestore"] = {
	name = "Deband PP Restore",
	desc = "While under the effects of Deband, attacks that restore PP grant double the normal amount.",
	cost = 1,
	level = 20,
}

PSO.info.typeSkills["fo_elementconversion"] = {
	name = "Element Conversion",
	desc = "10% of your weapon's Element Value is applied as a damage bonus to Techniques. Bonus is doubled if elements match.",
	cost = 1,
	level = 25,
}

PSO.info.typeSkills["fo_weakhit"] = {
	name = "Element Weak Hit",
	desc = "Deal 10% more damage when using Techniques that match the enemy's weakness.",
	cost = 2,
	level = 15,
}

PSO.info.typeSkills["fo_shiftaenchant"] = {
	name = "Shifta Enchant",
	desc = "While under the effects of Shifta, your weapon attacks and PAs gain the element of your last Technique.",
	cost = 1,
	level = 20,
}

PSO.info.typeSkills["fo_reversebonus"] = {
	name = "Reverse Bonus",
	desc = "Reviving another player grants them your Shifta and Deband immediately.",
	cost = 2,
	level = 25,
}